org.mariadb.jdbc.internal.util.constant

## Enum MariaDbCharset

- java.lang.Object
- - java.lang.Enum<MariaDbCharset>
  - - org.mariadb.jdbc.internal.util.constant.MariaDbCharset

All Implemented Interfaces:
  Serializable, Comparable<MariaDbCharset>

    public enum MariaDbCharset
    extends Enum<MariaDbCharset>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ARMSCII8`
`ASCII`
`BIG5`
`BINARY`
`CP1250`
`CP1251`
`CP1252`
`CP1256`
`CP1257`
`CP850`
`CP852`
`CP866`
`CP932`
`EUCJPMS`
`EUCKR`
`GB2312`
`GBK`
`GEOSTD8`
`GREEK`
`HEBREW`
`HP8`
`KEYBCS2`
`KOI8R`
`KOI8U`
`LATIN1`
`LATIN2`
`LATIN5`
`LATIN7`
`MACCE`
`MACROMAN`
`SJIS`
`SWE7`
`TIS620`
`UCS2`
`UJIS`
`UTF16`
`UTF16LE`
`UTF32`
`UTF8`
`UTF8MB4`

### Field Summary

Fields
`int` `defaultId`
`String` `javaIoCharsetName`
`String` `javaNioCharsetName`
`String` `mysqlCharsetName`

### Method Summary

All Methods Static Methods Concrete Methods
`static MariaDbCharset` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MariaDbCharset[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BIG5

    public static final MariaDbCharset BIG5

#### CP1252

    public static final MariaDbCharset CP1252

#### CP850

    public static final MariaDbCharset CP850

#### HP8

    public static final MariaDbCharset HP8

#### KOI8R

    public static final MariaDbCharset KOI8R

#### LATIN1

    public static final MariaDbCharset LATIN1

#### LATIN2

    public static final MariaDbCharset LATIN2

#### SWE7

    public static final MariaDbCharset SWE7

#### ASCII

    public static final MariaDbCharset ASCII

#### UJIS

    public static final MariaDbCharset UJIS

#### SJIS

    public static final MariaDbCharset SJIS

#### HEBREW

    public static final MariaDbCharset HEBREW

#### TIS620

    public static final MariaDbCharset TIS620

#### EUCKR

    public static final MariaDbCharset EUCKR

#### KOI8U

    public static final MariaDbCharset KOI8U

#### GB2312

    public static final MariaDbCharset GB2312

#### GREEK

    public static final MariaDbCharset GREEK

#### CP1250

    public static final MariaDbCharset CP1250

#### GBK

    public static final MariaDbCharset GBK

#### LATIN5

    public static final MariaDbCharset LATIN5

#### ARMSCII8

    public static final MariaDbCharset ARMSCII8

#### UTF8

    public static final MariaDbCharset UTF8

#### UCS2

    public static final MariaDbCharset UCS2

#### CP866

    public static final MariaDbCharset CP866

#### KEYBCS2

    public static final MariaDbCharset KEYBCS2

#### MACCE

    public static final MariaDbCharset MACCE

#### MACROMAN

    public static final MariaDbCharset MACROMAN

#### CP852

    public static final MariaDbCharset CP852

#### UTF8MB4

    public static final MariaDbCharset UTF8MB4

#### LATIN7

    public static final MariaDbCharset LATIN7

#### CP1251

    public static final MariaDbCharset CP1251

#### UTF16

    public static final MariaDbCharset UTF16

#### UTF16LE

    public static final MariaDbCharset UTF16LE

#### CP1256

    public static final MariaDbCharset CP1256

#### CP1257

    public static final MariaDbCharset CP1257

#### UTF32

    public static final MariaDbCharset UTF32

#### BINARY

    public static final MariaDbCharset BINARY

#### GEOSTD8

    public static final MariaDbCharset GEOSTD8

#### CP932

    public static final MariaDbCharset CP932

#### EUCJPMS

    public static final MariaDbCharset EUCJPMS

### Field Detail

#### defaultId

    public final int defaultId

#### mysqlCharsetName

    public final String mysqlCharsetName

#### javaIoCharsetName

    public final String javaIoCharsetName

#### javaNioCharsetName

    public final String javaNioCharsetName

### Method Detail

#### values

    public static MariaDbCharset[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MariaDbCharset c : MariaDbCharset.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MariaDbCharset valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null